<?php
/*******************************************************************************/
//                          InstantCMS v1.10.4                                 //
//                      http://www.instantcms.ru/                              //                                                    //
//                  плагин "Статусы пользователей" v.1.1                       //
//                        (p_userstatuses)                                     //
//                     written by Marat Fatikhov                               //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
//============================================================================//
//============================  Просмотр статуса   ============================//
//============================================================================//
if (!defined('VALID_CMS')) {
    die('ACCESS DENIED');
}

$inCore = cmsCore::getInstance();
$inPage = cmsPage::getInstance();
$inDB = cmsDatabase::getInstance();
$inUser = cmsUser::getInstance();


$statusid = $inCore->request('statusid', 'int', 0);
$id = $inCore->request('id', 'int', 0);
$user_id = $inUser->id;

if(!$id || !$statusid){ cmsCore::error404(); }

$myprofile = ($user_id == $id) ? true : false;

$sql = "SELECT u.id, u.login, u.nickname, p.imageurl
           FROM cms_users u
           INNER JOIN cms_user_profiles p ON u.id=p.user_id
           WHERE  u.id='{$id}' AND u.is_deleted = 0 AND u.is_locked = 0";

$result = $inDB->query($sql);

if (!($inDB->num_rows($result))) {
    cmsCore::error404();
}

$usr = $inDB->fetch_assoc($result);

$status = $inDB->get_fields('cms_user_statuses', "id={$statusid}", '*');

if (!$status) {
    cmsCore::error404();
}


$inPage->setTitle($status['title']);
$inPage->addPathway($usr['nickname'], $usr['profile_url'] = cmsUser::getProfileURL($usr['login']));
$inPage->addPathway('Статусы', '/users/' . $usr['id'] . '/statuses.html');
$inPage->addPathway($status['title']);

$status['status_date'] = $inCore->dateFormat($status['status_date'], true, false, false);


//ссылка с аватаром на профиль юзера
$usr['avatar'] = cmsUser::getUserAvatarUrl($usr['id'], 'small', $usr['imageurl']);
//ссылки на предыдущий и следующий статус
$nextid = $inDB->get_field('cms_user_statuses', "id>'{$status['id']}' AND user_id = '{$usr['id']}' ", 'id', 'id ASC');
$previd = $inDB->get_field('cms_user_statuses', "id<'{$status['id']}' AND user_id = '{$usr['id']}' ", 'id', 'id DESC');



cmsPage::initTemplate('components', 'com_users_status_view.tpl')->
assign('status', $status)->
assign('previd', $previd)->
assign('nextid', $nextid)->
assign('usr', $usr)->
assign('myprofile', $myprofile)->
assign('prefix', cmsUSER::PROFILE_LINK_PREFIX)->
assign('is_admin', $inUser->is_admin)->
display('com_users_status_view.tpl');

//подключаем комментарии
if ($inCore->isComponentInstalled('comments')) {
    cmsCore::includeComments();
    $inCore->component = 'comments';
    comments('statuses', $status['id']);
}

?>
