<?php
/*******************************************************************************/
//                          InstantCMS v1.10.4                                 //
//                      http://www.instantcms.ru/                              //                                                    //
//                  плагин "Статусы пользователей" v.1.1                       //
//                        (p_userstatuses)                                     //
//                     written by Marat Fatikhov                               //
//                      (nickname Марат on a site)                             //
//                       E-mail: f-marat@mail.ru                               //
//                                                                             //
//                      LICENSED BY GNU/GPL v2                                 //
//                                                                             //
/********************************************************************************/
/*******************************************************************************/
/************************   Просмотр всех статусов  ****************************/
/*******************************************************************************/
if(!defined('VALID_CMS')) { die('ACCESS DENIED'); }

    $inCore = cmsCore::getInstance();
    $inPage = cmsPage::getInstance();
    $inDB   = cmsDatabase::getInstance();
    $inUser = cmsUser::getInstance();
    
    $id = $inCore->request('id', int, 0);
    $page = cmsCore::request('page', 'int', 1);
    $user_id = $inUser->id;
    
    if(!$id){ cmsCore::error404(); }
    
    $myprofile = ($user_id == $id) ? true : false;
    
    $sql = "SELECT u.id, u.login, u.nickname, p.imageurl
           FROM cms_users u
           INNER JOIN cms_user_profiles p ON u.id=p.user_id
           WHERE  u.id='$id' AND u.is_deleted = 0 AND u.is_locked = 0 ";

    $result = $inDB->query($sql);

    if(!($inDB->num_rows($result))){cmsCore::error404();}

    $usr = $inDB->fetch_assoc($result);
    
    $inPage->setTitle("Статусы пользователя {$usr['nickname']}");
    $inPage->addPathway($usr['nickname'], $usr['profile_url'] = cmsUser::getProfileURL($usr['login']));
    $inPage->addPathway('Статусы', $_SERVER['REQUEST_URI']);



    //ссылка с аватаром на профиль юзера
    $usr['avatar'] = cmsUser::getUserAvatarUrl($usr['id'], 'small', $usr['imageurl']);
    
    //конфиг модуля, чтобы получить $perpage
    $pl_config = $inCore->loadPluginConfig('p_userstatuses');
    $perpage = $pl_config['Количество статусов на странице при просмотре всех статусов'] ?
               $pl_config['Количество статусов на странице при просмотре всех статусов'] : 20;
    $limit = '';
    $limit = (int)($page-1)*$perpage.' ,'.$perpage;

    $sql        = "SELECT id, title, status_date
                       FROM cms_user_statuses
                       WHERE user_id = '{$id}'
                       ORDER BY status_date DESC
                       LIMIT {$limit}";

    $result     = $inDB->query($sql);

    $count      = $inDB->num_rows($result);

    if ($count){

          while($status = $inDB->fetch_assoc($result)){
                $status['url'] = HOST.'/users/'.$usr['id'].'/status'.$status['id'].'.html' ;
                $status['comments_count'] = $inCore->getCommentsCount('statuses', $status['id']);
                $status['status_date'] = $inCore->dateFormat($status['status_date']);


                $statuses[] = $status;
            }


        }
        //общее количество статусов пользователя, для пагинации
        $sql        = "SELECT id, title, status_date
                       FROM cms_user_statuses
                       WHERE user_id = '{$id}'
                       ORDER BY status_date DESC
                       ";
        $result     = $inDB->query($sql);
        $total = $inDB->num_rows($result);
                       

        ob_start();

        cmsPage::initTemplate('components', 'com_users_statuses.tpl')->
        assign('count', $count)->
        assign('usr', $usr)->
        assign('myprofile', $myprofile)->
        assign('is_admin', $inUser->is_admin)->
        assign('statuses', $statuses)->
        assign('pagebar', cmsPage::getPagebar($total, $page, $perpage, '/users/'.$usr['id'].'/statuses-%page%.html'))->
        display('com_users_statuses.tpl');

        $html = ob_get_clean();
        
        echo $html;


?>
